Index: /orxonox/trunk/ChangeLog
===================================================================
--- /orxonox/trunk/ChangeLog	(revision 3554)
+++ /orxonox/trunk/ChangeLog	(revision 3555)
@@ -0,0 +1,68 @@
+2005-03-15	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	parenting finished
+
+2005-03-09	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	Big Cleanup again
+	
+2005-03-01	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Added Light Class
+	
+2005-02-27	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Big Configure.ac-cleanup
+
+2005-02-22	David Gruetter <davgr@gmx.ch>
+	Added Skysphere
+	
+2005-01-07	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	LoadScreen implemented
+	
+2004-12-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	New Version out 0.2.1-pre-alpha
+	
+2004-12-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	HEAVY cleanup of the framework
+
+2004-12-18	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	enhanced the Command Node
+
+2004-12-15	Nico Benold <bernoldn@ee.ethz.ch>
+	OS X support
+	
+2004-12-15	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Defined standard coding rules
+
+2004-12-15	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Added Importer for showing 3D Object.
+
+2004-11-07	David Gruetter <davgr@gmx.ch>
+	Shaded Terrain
+	
+2004-10-23	Adrian Buerli <buerlia@ee.ethz.ch>
+	Dynamic Mountains, dynamic movement.
+	
+2004-10-18	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	Release 0.1-pre-alpha
+
+2004-07-17	Christian Meyer <cmeyer@ee.ethz.ch>
+	SDL-Framework
+	
+2004-06-09	Tom of ethz
+	Added endless Mountains
+
+2004-06-02	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Added Console
+	
+2004-05-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
+	Added the ability to shoot
+
+2004-05-05	Benjamin Grauer <bensch@orxonox.ethz.ch>
+	Added the GUI.
+
+2004-04-21	Patrik Boenzli <patrick@orxonox.ethz.ch>
+	Added Makefile to orxonox
+
+2004-04-25	Amir Guindehi <amir@guindehi.ch>
+	Created Project Orxonox
+	
+
+	
Index: /orxonox/trunk/INSTALL
===================================================================
--- /orxonox/trunk/INSTALL	(revision 3554)
+++ /orxonox/trunk/INSTALL	(revision 3555)
@@ -1,2 +1,48 @@
+
+INSTALLATION INSTRUCTIONS FOR ORXONOX
+=====================================
+
+INSTALLATION
+============
+
+To make it quite easy for those of you who just want to install orxonox:
+
+1. ./configure
+2. make
+3. make install
+
+(Further Information please see below at autoconf information)
+
+DEPENDENCIES
+============
+
+There are some dependencies for orxonox you have to install:
+
+1. SDL           (http://www.libsdl.org)
+2. OPENGL        (http://www.opengl.org)
+3. SDL_mixer     (http://www.libsdl.org/projects/SDL_mixer)
+4. SDL_image     (http://www.libsdl.org/projects/SDL_image)
+5. SDL_ttf       (http://www.libsdl.org/projects/SDL_ttf)
+ a) needs libttf (http://www.freetype.org/)
+
+Nice to Have:
+6. Doxygen       (http://www.stack.nl/~dimitri/doxygen/)
+7. Automake	 (http://www.gnu.org/software/automake/)
+8. Autoconf      (http://www.gnu.org/software/autoconf/)
+
+Windows Users also need the following:
+9. mingw         (http://mingw.org/)
+
+
+BUGS
+====
+Send bug reports to orxonox-dev@mail.datacore.ch
+
+ORXONOX->
+##########################################################
+						<-AUTOCONF
+
+
+
 Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002 Free Software
 Foundation, Inc.
Index: /orxonox/trunk/src/INSTALL
===================================================================
--- /orxonox/trunk/src/INSTALL	(revision 3554)
+++ /orxonox/trunk/src/INSTALL	(revision 3555)
@@ -3,10 +3,32 @@
 =====================================
 
-Installing an using orx is very simple: Just type:
+INSTALLATION
+============
 
-cd ../orxonox/trunk
-./configure
-make
-./bin/orxonox
+To make it quite easy for those of you who just want to install orxonox:
+
+1. ./configure
+2. make
+3. make install
+
+DEPENDENCIES
+============
+
+There are some dependencies for orxonox you have to install:
+
+1. SDL           (http://www.libsdl.org)
+2. OPENGL        (http://www.opengl.org)
+3. SDL_mixer     (http://www.libsdl.org/projects/SDL_mixer)
+4. SDL_image     (http://www.libsdl.org/projects/SDL_image)
+5. SDL_ttf       (http://www.libsdl.org/projects/SDL_ttf)
+ a) needs libttf (http://www.freetype.org/)
+
+Nice to Have:
+6. Doxygen       (http://www.stack.nl/~dimitri/doxygen/)
+7. Automake	 (http://www.gnu.org/software/automake/)
+8. Autoconf      (http://www.gnu.org/software/autoconf/)
+
+Windows Users also need the following:
+9. mingw         (http://mingw.org/)
 
 
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/Makefile.in	(revision 3555)
@@ -319,7 +319,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/lib/Makefile.in	(revision 3555)
@@ -181,7 +181,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/graphics/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 3555)
@@ -175,7 +175,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 3555)
@@ -215,7 +215,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/lib/gui/Makefile.in	(revision 3555)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/gui/console/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 3555)
@@ -203,7 +203,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/gui/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 3555)
@@ -236,7 +236,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/subprojects/Makefile.in	(revision 3555)
@@ -175,7 +175,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/testmain/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 3554)
+++ /orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 3555)
@@ -195,7 +195,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status