Index: orxonox/trunk/configure
===================================================================
--- orxonox/trunk/configure	(revision 3549)
+++ orxonox/trunk/configure	(revision 3558)
@@ -312,5 +312,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE GTHREAD_LIBS GTHREAD_CFLAGS HAVE_GTHREAD_TRUE HAVE_GTHREAD_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOCUMENTATION_TRUE DOCUMENTATION_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE GTHREAD_LIBS GTHREAD_CFLAGS HAVE_GTHREAD_TRUE HAVE_GTHREAD_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -868,4 +868,6 @@
                           game.
   --enable-sub-projects   also builds the subProjects while make from srcdir
+  --enable-documentation  also builds the sDocumentation while make from
+                          srcdir
 
 Optional Packages:
@@ -3975,4 +3977,5 @@
   echo "no"
 fi
+
 #-------------------#
 # SubProject-enable #
@@ -4002,4 +4005,31 @@
 fi
 
+
+#----------------------#
+# Documentation-enable #
+#----------------------#
+def_documentation=no
+echo "$as_me:$LINENO: checking if the Documentation should be build by default" >&5
+echo $ECHO_N "checking if the Documentation should be build by default... $ECHO_C" >&6
+# Check whether --enable-documentation or --disable-documentation was given.
+if test "${enable_documentation+set}" = set; then
+  enableval="$enable_documentation"
+  def_documentation=yes
+fi;
+if test x$def_documentation = xyes; then
+  echo "yes"
+fi
+if test x$def_documentation = xno; then
+  echo "no"
+fi
+
+
+if test x$def_documentation = xyes; then
+  DOCUMENTATION_TRUE=
+  DOCUMENTATION_FALSE='#'
+else
+  DOCUMENTATION_TRUE='#'
+  DOCUMENTATION_FALSE=
+fi
 
 #######################
@@ -8301,4 +8331,11 @@
 Usually this means the macro was only invoked conditionally." >&5
 echo "$as_me: error: conditional \"SUB_PROJECTS\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${DOCUMENTATION_TRUE}" && test -z "${DOCUMENTATION_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"DOCUMENTATION\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"DOCUMENTATION\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
@@ -8932,4 +8969,6 @@
 s,@SUB_PROJECTS_TRUE@,$SUB_PROJECTS_TRUE,;t t
 s,@SUB_PROJECTS_FALSE@,$SUB_PROJECTS_FALSE,;t t
+s,@DOCUMENTATION_TRUE@,$DOCUMENTATION_TRUE,;t t
+s,@DOCUMENTATION_FALSE@,$DOCUMENTATION_FALSE,;t t
 s,@DOXYGEN@,$DOXYGEN,;t t
 s,@DOXYGEN_TRUE@,$DOXYGEN_TRUE,;t t