Index: orxonox/trunk/src/camera.cc
===================================================================
--- orxonox/trunk/src/camera.cc	(revision 3565)
+++ orxonox/trunk/src/camera.cc	(revision 3566)
@@ -201,5 +201,5 @@
   // TO DO: implement options for frustum generation
   //glFrustum(-1.0, 1.0, -1.0, 1.0, 1.5, 250.0);
-  gluPerspective(60, 1.2f, 0.1, 250);
+  gluPerspective(60, 1.2f, 0.1, 2000);
   
   //Vector up(0,0,1);
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 3565)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 3566)
@@ -69,10 +69,9 @@
   cn->reset();
 
-  //delete this->localCamera;
   delete this->nullParent;
   delete this->entities;
-  //delete this->skySphere;
-
-  //delete this->trackManager;
+
+  delete this->trackManager;
+
 
   /*
@@ -173,15 +172,4 @@
       this->glmis->step();
 
-      /*
-	tmpCurve->addNode(Vector(10,  -1,  -1));
-	tmpCurve->addNode(Vector(10,  -2,   2));
-	tmpCurve->addNode(Vector(10,   3,   3));
-	tmpCurve->addNode(Vector(10,   4,  -4), 0);
-	tmpCurve->addNode(Vector(10,  -1,  -1));
-	tmpCurve->addNode(Vector(10,  -2,   2));
-	tmpCurve->addNode(Vector(10,   3,   3));
-	tmpCurve->addNode(Vector(10,   4,  -4), 0);
-	tmpCurve->debug();
-      */
       switch(this->debugWorldNr)
 	{
@@ -306,5 +294,6 @@
   glEndList();
 
-  terrain = new Terrain(TERRAIN_DAVE);
+  terrain = new Terrain("nGround.obj");
+  terrain->setRelCoor(&Vector(0,-10,0));
   this->spawn(terrain);
   // LIGHT initialisation
@@ -334,11 +323,4 @@
   cn->enable(true);
 
-  //glMap1f (GL_MAP1_VERTEX_3, 0.0, 1.0, 3, 4, &ctrlpoints[0][0]);
-  //glEnable (GL_MAP1_VERTEX_3);
-  
-  //theNurb = gluNewNurbsRenderer ();
-  //gluNurbsProperty (theNurb, GLU_NURBS_MODE, GLU_NURBS_TESSELLATOR);
-  //gluNurbsProperty (theNurb, GLU_NURBS_VERTEX, vertexCallback );
-
 }
 
@@ -387,5 +369,5 @@
 ErrorMessage World::destroy()
 {
-  delete trackManager;
+
 }
 
Index: orxonox/trunk/src/world_entities/environment.cc
===================================================================
--- orxonox/trunk/src/world_entities/environment.cc	(revision 3565)
+++ orxonox/trunk/src/world_entities/environment.cc	(revision 3566)
@@ -36,5 +36,5 @@
 Environment::~Environment () 
 {
-  delete this->model;
+
 }
 
Index: orxonox/trunk/src/world_entities/player.cc
===================================================================
--- orxonox/trunk/src/world_entities/player.cc	(revision 3565)
+++ orxonox/trunk/src/world_entities/player.cc	(revision 3566)
@@ -37,5 +37,5 @@
 Player::~Player ()
 {
-  delete this->model;
+
 }
 
Index: orxonox/trunk/src/world_entities/primitive.cc
===================================================================
--- orxonox/trunk/src/world_entities/primitive.cc	(revision 3565)
+++ orxonox/trunk/src/world_entities/primitive.cc	(revision 3566)
@@ -36,5 +36,5 @@
 Primitive::~Primitive () 
 {
-  delete this->model;
+
 }
 
Index: orxonox/trunk/src/world_entities/skysphere.cc
===================================================================
--- orxonox/trunk/src/world_entities/skysphere.cc	(revision 3565)
+++ orxonox/trunk/src/world_entities/skysphere.cc	(revision 3566)
@@ -71,5 +71,5 @@
   this->sphereObj = gluNewQuadric();
   gluQuadricTexture(this->sphereObj, GL_TRUE);
-  this->setRadius(220.0);
+  this->setRadius(1900.0);
 
   this->skyMaterial = new Material("Sky");
Index: orxonox/trunk/src/world_entities/terrain.cc
===================================================================
--- orxonox/trunk/src/world_entities/terrain.cc	(revision 3565)
+++ orxonox/trunk/src/world_entities/terrain.cc	(revision 3566)
@@ -32,4 +32,24 @@
 
 /**
+   \brief Constructor for loading a Terrain out of a file
+   \param fileName The file to load data from.
+ 
+   this either loads out of an OBJ-file, or loads a heightmap if no .obj-extension is found.
+*/
+Terrain::Terrain(char* fileName)
+{
+  this->init();
+
+  if (strstr(fileName, ".obj") || strstr(fileName, ".OBJ"))
+    {
+      this->model = (OBJModel*)new OBJModel(fileName);
+    }
+  else
+    {
+      // load the hightMap here.
+    }
+}
+
+/**
    \brief a Constructor for the Debug-Worlds
 
@@ -42,5 +62,4 @@
 }
 
-
 /**
    \brief standard deconstructor
@@ -57,6 +76,8 @@
 {
    this->setClassName ("Terrain");
+
    this->objectList = 0;
 }
+
 
 
@@ -75,5 +96,8 @@
   glMultMatrixf((float*)matrix);
 
-  glCallList(objectList);
+  if (objectList)
+    glCallList(objectList);
+  else if (model)
+    model->draw();
   //  this->model->draw();
   glPopMatrix();
Index: orxonox/trunk/src/world_entities/terrain.h
===================================================================
--- orxonox/trunk/src/world_entities/terrain.h	(revision 3565)
+++ orxonox/trunk/src/world_entities/terrain.h	(revision 3566)
@@ -25,4 +25,5 @@
  public:
   Terrain();
+  Terrain(char* fileName);
   Terrain(DebugTerrain debugTerrain);
   virtual ~Terrain();
@@ -33,5 +34,4 @@
 
  private:
-
   int objectList;
 };
Index: orxonox/trunk/src/world_entities/world_entity.cc
===================================================================
--- orxonox/trunk/src/world_entities/world_entity.cc	(revision 3565)
+++ orxonox/trunk/src/world_entities/world_entity.cc	(revision 3566)
@@ -48,5 +48,5 @@
 {
   // if( collisioncluster != NULL) delete collisioncluster;
-
+  delete this->model;
 }
 
Index: orxonox/trunk/src/world_entities/world_entity.h
===================================================================
--- orxonox/trunk/src/world_entities/world_entity.h	(revision 3565)
+++ orxonox/trunk/src/world_entities/world_entity.h	(revision 3566)
@@ -9,8 +9,7 @@
 #include "stdincl.h"
 #include "p_node.h"
-#include "model.h"
+#include "objModel.h"
 
 //class CollisionCluster;
-class OBJModel;
 
 //! Basic class from which all interactive stuff in the world is derived from