Index: orxonox/trunk/configure
===================================================================
--- orxonox/trunk/configure	(revision 3568)
+++ orxonox/trunk/configure	(revision 3569)
@@ -1,5 +1,5 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for orxonox 0.2.1-pre-alpha.
+# Generated by GNU Autoconf 2.59 for orxonox 0.2.2-pre-alpha.
 #
 # Report bugs to <orxonox-dev at mail.datacore.ch>.
@@ -270,6 +270,6 @@
 PACKAGE_NAME='orxonox'
 PACKAGE_TARNAME='orxonox'
-PACKAGE_VERSION='0.2.1-pre-alpha'
-PACKAGE_STRING='orxonox 0.2.1-pre-alpha'
+PACKAGE_VERSION='0.2.2-pre-alpha'
+PACKAGE_STRING='orxonox 0.2.2-pre-alpha'
 PACKAGE_BUGREPORT='orxonox-dev at mail.datacore.ch'
 
@@ -789,5 +789,5 @@
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures orxonox 0.2.1-pre-alpha to adapt to many kinds of systems.
+\`configure' configures orxonox 0.2.2-pre-alpha to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
@@ -856,5 +856,5 @@
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of orxonox 0.2.1-pre-alpha:";;
+     short | recursive ) echo "Configuration of orxonox 0.2.2-pre-alpha:";;
    esac
   cat <<\_ACEOF
@@ -990,5 +990,5 @@
 if $ac_init_version; then
   cat <<\_ACEOF
-orxonox configure 0.2.1-pre-alpha
+orxonox configure 0.2.2-pre-alpha
 generated by GNU Autoconf 2.59
 
@@ -1004,5 +1004,5 @@
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by orxonox $as_me 0.2.1-pre-alpha, which was
+It was created by orxonox $as_me 0.2.2-pre-alpha, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
@@ -1724,5 +1724,5 @@
 # Define the identity of the package.
  PACKAGE='orxonox'
- VERSION='0.2.1-pre-alpha'
+ VERSION='0.2.2-pre-alpha'
 
 
@@ -8640,5 +8640,5 @@
 cat >&5 <<_CSEOF
 
-This file was extended by orxonox $as_me 0.2.1-pre-alpha, which was
+This file was extended by orxonox $as_me 0.2.2-pre-alpha, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
@@ -8703,5 +8703,5 @@
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-orxonox config.status 0.2.1-pre-alpha
+orxonox config.status 0.2.2-pre-alpha
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
Index: orxonox/trunk/configure.ac
===================================================================
--- orxonox/trunk/configure.ac	(revision 3568)
+++ orxonox/trunk/configure.ac	(revision 3569)
@@ -23,5 +23,5 @@
 #########################
 AC_PREREQ(2.56)
-AC_INIT(orxonox, 0.2.1-pre-alpha, [orxonox-dev at mail.datacore.ch])
+AC_INIT(orxonox, 0.2.2-pre-alpha, [orxonox-dev at mail.datacore.ch])
 
 ## Detect the canonical host and target build environment.
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/Makefile.in	(revision 3569)
@@ -325,7 +325,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/Makefile
+	  $(AUTOMAKE) --gnu  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/lib/Makefile.in	(revision 3569)
@@ -183,7 +183,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/graphics/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/graphics/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/lib/graphics/Makefile.in	(revision 3569)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 3569)
@@ -217,7 +217,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/lib/gui/Makefile.in	(revision 3569)
@@ -179,7 +179,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/gui/console/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/lib/gui/console/Makefile.in	(revision 3569)
@@ -205,7 +205,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/lib/gui/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/lib/gui/gui/Makefile.in	(revision 3569)
@@ -238,7 +238,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/subprojects/Makefile.in	(revision 3569)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/trunk/src/subprojects/testmain/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 3568)
+++ orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 3569)
@@ -197,7 +197,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status