Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 3579)
+++ orxonox/trunk/src/Makefile.am	(revision 3580)
@@ -47,4 +47,5 @@
 		 world_entities/weapon.cc \
 		 world_entities/projectile.cc \
+		 world_entities/character_attributes.cc \
 		 ai/ai.cc \
 		 lib/coord/p_node.cc \
@@ -94,4 +95,5 @@
 		 world_entities/weapon.h \
 		 world_entities/projectile.h \
+		 world_entities/character_attributes.h \
 		 ai/ai.h \
 		 network/synchronisable.h \
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 3579)
+++ orxonox/trunk/src/Makefile.in	(revision 3580)
@@ -60,11 +60,12 @@
 	player.$(OBJEXT) environment.$(OBJEXT) skysphere.$(OBJEXT) \
 	terrain.$(OBJEXT) primitive.$(OBJEXT) weapon.$(OBJEXT) \
-	projectile.$(OBJEXT) ai.$(OBJEXT) p_node.$(OBJEXT) \
-	null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
-	data_tank.$(OBJEXT) fontset.$(OBJEXT) array.$(OBJEXT) \
-	objModel.$(OBJEXT) model.$(OBJEXT) material.$(OBJEXT) \
-	texture.$(OBJEXT) base_entity.$(OBJEXT) base_object.$(OBJEXT) \
-	ini_parser.$(OBJEXT) list.$(OBJEXT) vector.$(OBJEXT) \
-	matrix.$(OBJEXT) curve.$(OBJEXT) glmenu_imagescreen.$(OBJEXT)
+	projectile.$(OBJEXT) character_attributes.$(OBJEXT) \
+	ai.$(OBJEXT) p_node.$(OBJEXT) null_parent.$(OBJEXT) \
+	helper_parent.$(OBJEXT) data_tank.$(OBJEXT) fontset.$(OBJEXT) \
+	array.$(OBJEXT) objModel.$(OBJEXT) model.$(OBJEXT) \
+	material.$(OBJEXT) texture.$(OBJEXT) base_entity.$(OBJEXT) \
+	base_object.$(OBJEXT) ini_parser.$(OBJEXT) list.$(OBJEXT) \
+	vector.$(OBJEXT) matrix.$(OBJEXT) curve.$(OBJEXT) \
+	glmenu_imagescreen.$(OBJEXT)
 orxonox_OBJECTS = $(am_orxonox_OBJECTS)
 orxonox_LDADD = $(LDADD)
@@ -76,4 +77,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/base_object.Po ./$(DEPDIR)/camera.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/campaign.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/character_attributes.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/command_node.Po ./$(DEPDIR)/curve.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/data_tank.Po \
@@ -246,4 +248,5 @@
 		 world_entities/weapon.cc \
 		 world_entities/projectile.cc \
+		 world_entities/character_attributes.cc \
 		 ai/ai.cc \
 		 lib/coord/p_node.cc \
@@ -293,4 +296,5 @@
 		 world_entities/weapon.h \
 		 world_entities/projectile.h \
+		 world_entities/character_attributes.h \
 		 ai/ai.h \
 		 network/synchronisable.h \
@@ -392,4 +396,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/camera.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/campaign.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/character_attributes.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command_node.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curve.Po@am__quote@
@@ -617,4 +622,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o projectile.obj `if test -f 'world_entities/projectile.cc'; then $(CYGPATH_W) 'world_entities/projectile.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/projectile.cc'; fi`
+
+character_attributes.o: world_entities/character_attributes.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT character_attributes.o -MD -MP -MF "$(DEPDIR)/character_attributes.Tpo" -c -o character_attributes.o `test -f 'world_entities/character_attributes.cc' || echo '$(srcdir)/'`world_entities/character_attributes.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/character_attributes.Tpo" "$(DEPDIR)/character_attributes.Po"; else rm -f "$(DEPDIR)/character_attributes.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/character_attributes.cc' object='character_attributes.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/character_attributes.Po' tmpdepfile='$(DEPDIR)/character_attributes.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o character_attributes.o `test -f 'world_entities/character_attributes.cc' || echo '$(srcdir)/'`world_entities/character_attributes.cc
+
+character_attributes.obj: world_entities/character_attributes.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT character_attributes.obj -MD -MP -MF "$(DEPDIR)/character_attributes.Tpo" -c -o character_attributes.obj `if test -f 'world_entities/character_attributes.cc'; then $(CYGPATH_W) 'world_entities/character_attributes.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/character_attributes.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/character_attributes.Tpo" "$(DEPDIR)/character_attributes.Po"; else rm -f "$(DEPDIR)/character_attributes.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/character_attributes.cc' object='character_attributes.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/character_attributes.Po' tmpdepfile='$(DEPDIR)/character_attributes.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o character_attributes.obj `if test -f 'world_entities/character_attributes.cc'; then $(CYGPATH_W) 'world_entities/character_attributes.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/character_attributes.cc'; fi`
 
 ai.o: ai/ai.cc
Index: orxonox/trunk/src/world_entities/character_attributes.cc
===================================================================
--- orxonox/trunk/src/world_entities/character_attributes.cc	(revision 3580)
+++ orxonox/trunk/src/world_entities/character_attributes.cc	(revision 3580)
@@ -0,0 +1,41 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: ...
+*/
+
+
+#include "character_attributes.h"
+#include "stdincl.h" 
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+CharacterAttributes::CharacterAttributes () 
+{
+   this->setClassName ("CharacterAttributes");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+CharacterAttributes::~CharacterAttributes () 
+{
+}
Index: orxonox/trunk/src/world_entities/character_attributes.h
===================================================================
--- orxonox/trunk/src/world_entities/character_attributes.h	(revision 3580)
+++ orxonox/trunk/src/world_entities/character_attributes.h	(revision 3580)
@@ -0,0 +1,24 @@
+/*! 
+    \file character_attributes.h
+    \brief Definition of the attributes of a character (healt, armor,.. ) whatever is important to the character
+*/
+
+#ifndef _CHARACTER_ATTRIBUTES_H
+#define _CHARACTER_ATTRIBUTES_H
+
+#include "base_object.h"
+
+
+//! A class including all important information about a character
+/**
+  its not yet clear, what the character-attributes will be. 
+*/
+class CharacterAttributes : public BaseObject {
+
+ public:
+  CharacterAttributes();
+  virtual ~CharacterAttributes();
+
+};
+
+#endif /* _CHARACTER_ATTRIBUTES_H */
Index: orxonox/trunk/src/world_entities/weapon.h
===================================================================
--- orxonox/trunk/src/world_entities/weapon.h	(revision 3579)
+++ orxonox/trunk/src/world_entities/weapon.h	(revision 3580)
@@ -43,6 +43,6 @@
   Projectile* getProjectile();
 
-  void activate();
-  void deactivate();
+  virtual void activate();
+  virtual void deactivate();
   bool isActive();
 
@@ -52,5 +52,5 @@
   int getWeaponEnergy();
 
-  void fire();
+  virtual void fire();
   virtual void hit (WorldEntity* weapon, Vector* loc);
   virtual void destroy ();