Index: orxonox/trunk/src/orxonox.conf
===================================================================
--- orxonox/trunk/src/orxonox.conf	(revision 3583)
+++ orxonox/trunk/src/orxonox.conf	(revision 3584)
@@ -5,4 +5,5 @@
 RIGHT=right
 SPACE=fire
+m=weapon_mode
 ESCAPE=quit
 p=pause
Index: orxonox/trunk/src/world_entities/player.cc
===================================================================
--- orxonox/trunk/src/world_entities/player.cc	(revision 3583)
+++ orxonox/trunk/src/world_entities/player.cc	(revision 3584)
@@ -83,13 +83,12 @@
 }
 
-/**
-   \brief the function called for each passing timeSnap
-   \param time The timespan passed since last update
-*/
-void Player::tick (float time)
-{
-  // movement
-  this->move (time);
-}
+
+/**
+   \brief the action occuring if the player left the game
+*/
+void Player::leftWorld ()
+{}
+
+
 
 /**
@@ -113,19 +112,4 @@
 }
 
-/**
-   \brief The connection to the command node
-   \param cmd the Command unit from witch to map
-
-   here the commands are mapped to the players movement/weaponary
-*/
-void Player::command (Command* cmd)
-{
-  //printf("Player|recieved command [%s]\n", cmd->cmd);
-  if( !strcmp( cmd->cmd, "up")) bUp = !cmd->bUp;
-  else if( !strcmp( cmd->cmd, "down")) bDown = !cmd->bUp;
-  else if( !strcmp( cmd->cmd, "left")) bLeft = !cmd->bUp;
-  else if( !strcmp( cmd->cmd, "right")) bRight = !cmd->bUp;
-  else if( !strcmp( cmd->cmd, "fire")) bFire = !cmd->bUp;
-}
 
 /**
@@ -151,18 +135,16 @@
 
 
-/*PN
-  void Player::getLookat(Location* locbuf)
-  {
-  *locbuf = *getLocation();
-  //locbuf->dist += 5.0;
-  }
-*/
-
-/**
-   \brief the action occuring if the player left the game
-*/
-void Player::leftWorld ()
-{
-}
+/**
+   \brief the function called for each passing timeSnap
+   \param time The timespan passed since last update
+*/
+void Player::tick (float time)
+{
+  // player controlled movement
+  this->move (time);
+  // weapon system manipulation
+  this->fire();
+}
+
 
 /**
@@ -174,5 +156,4 @@
   Vector accel(0.0, 0.0, 0.0);
   /* FIXME: calculating the direction and orthDirection every timeSlice is redundant! save it somewhere */
-  //Placement *pos = getPlacement();
   
   /* calculate the direction in which the craft is heading  */
@@ -189,20 +170,39 @@
   if( bDescend) {/* FIXME */} /* \todo up and down player movement */
 
-  //Location* l = getLocation();
-  
-  // r(t) = r(0) + v(0)*t + 1/2*a*t^2
-  // r = position
-  // v = velocity
-  // a = acceleration
-
-  /* this the base-speed of the player: determines how fast and how the player follows the track*/
-  //l->dist = l->dist + travelSpeed * time;
-  
-  //  Vector* shift = new Vector (this->travelSpeed * time, 0, 0);
-  //  this->shiftCoor (shift);
-  
-  /* this updates the player position on the track - user interaction */
-  //l->pos = l->pos + accel*time;
   Vector move = accel * time;
   this->shiftCoor (&move);
 }
+
+
+/**
+   \brief weapon manipulation by the player
+*/
+void Player::fire()
+{
+  if(this->bFire)
+    {
+
+    }
+  if(this->bWeaponChange)
+    {
+
+    }
+}
+
+
+/**
+   \brief The connection to the command node
+   \param cmd the Command unit from witch to map
+
+   here the commands are mapped to the players movement/weaponary
+*/
+void Player::command (Command* cmd)
+{
+  //printf("Player|recieved command [%s]\n", cmd->cmd);
+  if( !strcmp( cmd->cmd, "up")) this->bUp = !cmd->bUp;
+  else if( !strcmp( cmd->cmd, "down")) this->bDown = !cmd->bUp;
+  else if( !strcmp( cmd->cmd, "left")) this->bLeft = !cmd->bUp;
+  else if( !strcmp( cmd->cmd, "right")) this->bRight = !cmd->bUp;
+  else if( !strcmp( cmd->cmd, "fire")) this->bFire = !cmd->bUp;
+  else if( !strcmp( cmd->cmd, "weapon_mode")) this->bWeaponChange = !cmd->bUp;
+}
Index: orxonox/trunk/src/world_entities/player.h
===================================================================
--- orxonox/trunk/src/world_entities/player.h	(revision 3583)
+++ orxonox/trunk/src/world_entities/player.h	(revision 3584)
@@ -43,4 +43,5 @@
   bool bDescend;         //!< descend button presses.
   bool bFire;            //!< fire button pressed.
+  bool bWeaponChange;     //!< weapon change button pressed
 
   tList<Weapon>* weapons;//!< a list of weapon
@@ -51,4 +52,5 @@
   
   void move(float time);
+  void fire(void);
   
 };